Skip to content
BleemeoBleemeo

List cloud integrations

GET
/v1/cloudproviderintegration/
curl --request GET \
--url 'https://example.com/v1/cloudproviderintegration/?provider=aws' \
--header 'Authorization: Bearer <token>'

Return all cloud integrations for the current account.

alias
string
cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page.

provider
string
Allowed values: aws azure
  • aws - Amazon Web Services
  • azure - Microsoft Azure
search
string

A search term.

Media typeapplication/json
object
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
account
required
string format: uuid
alias
required
string
<= 100 characters
enabled
boolean
provider
required
  • aws - Amazon Web Services
  • azure - Microsoft Azure
string
Allowed values: aws azure
config
created_at
required
string format: date-time
last_fetched_at
required
string format: date-time
nullable
status
required
Array<string>

Example

{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"provider": "aws"
}
]
}